com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface DecisionEdge

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, FlowEdge, org.eclipse.emf.common.notify.Notifier

      public interface DecisionEdge
      extends FlowEdge

  A representation of the model object 'Decision Edge'.

  The following features are supported:

  - `Valid`
  - `Decision`
  See Also:
    `FlowdiagramPackage.getDecisionEdge()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Decision` | `getDecision()` Returns the value of the 'Decision' reference
    `boolean` | `isValid()` Returns the value of the 'Valid' attribute
    `void` | `setDecision(Decision value)` Sets the value of the '`Decision`' reference
    `void` | `setValid(boolean value)` Sets the value of the '`Valid`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.FlowEdge

      `getSourceShape, getTargetShape, setSourceShape, setTargetShape`

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isValid

          boolean isValid()

      Returns the value of the 'Valid' attribute.

      If the meaning of the 'Valid' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Valid' attribute.
      See Also:
        `setValid(boolean)`, `FlowdiagramPackage.getDecisionEdge_Valid()`

    - #### setValid

          void setValid(boolean value)

      Sets the value of the '`Valid`' attribute.
      Parameters:
        `value` - the new value of the 'Valid' attribute.
      See Also:
        `isValid()`

    - #### getDecision

          Decision getDecision()

      Returns the value of the 'Decision' reference.

      If the meaning of the 'Decision' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Decision' reference.
      See Also:
        `setDecision(Decision)`, `FlowdiagramPackage.getDecisionEdge_Decision()`

    - #### setDecision

          void setDecision(Decision value)

      Sets the value of the '`Decision`' reference.
      Parameters:
        `value` - the new value of the 'Decision' reference.
      See Also:
        `getDecision()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.